Loading...
Searching...
No Matches
Opm::Properties::BlackOilEnergyScalingFactor< TypeTag, TTag::BlackOilModel > Struct Template Reference

by default, scale the energy equation by the inverse of the energy required to heat up one kg of water by 30 Kelvin. More...

`#include <blackoilmodel.hh>`

## Public Types

using | type = Scalar

## Static Public Attributes

static constexpr Scalar | value = 1.0/(30.0*4184.0*alpha)

## Detailed Description

template<class TypeTag>
struct Opm::Properties::BlackOilEnergyScalingFactor< TypeTag, TTag::BlackOilModel >

by default, scale the energy equation by the inverse of the energy required to heat up one kg of water by 30 Kelvin.

If we conserve surface volumes, this must be divided by the weight of one cubic meter of water. This is required to make the "dumb" linear solvers that do not weight the components of the solutions do the right thing. by default, don't scale the energy equation, i.e. assume that a reasonable linear solver is used. (Not scaling it makes debugging quite a bit easier.)

The documentation for this struct was generated from the following file:

- opm/models/blackoil/blackoilmodel.hh